Cards, prop trading & accounting
Verify Quick Books Connection Precondition
Queries QuickBooks company preferences for multi-currency and updates the connection's precondition status.
POSThttps://api.toku.com/platform/verify-quick-books-connection-precondition
Not available to API keys yet. It will need integrations:write.
curl --request POST \
--url 'https://api.toku.com/platform/verify-quick-books-connection-precondition' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"clientId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connectionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"connectionId": "string",
"status": "PENDING_PRECONDITION",
"multiCurrencyEnabled": true,
"reason": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
clientIdstring<uuid>connectionIdstring<uuid>Response
200Successful response
connectionIdstringrequiredstatusstringrequiredAvailable options: PENDING_PRECONDITION, ACTIVE, EXPIRED, DISCONNECTED
multiCurrencyEnabledbooleanrequiredreasonstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits